package com.repair.services;

import com.baomidou.mybatisplus.extension.service.IService;
import com.repair.model.pojo.RepairOfflineRecord;
import com.repair.model.pojo.RepairOfflineRecord;
import com.repair.model.result.PageUtils;
import com.repair.model.vo.OfflineDetailVo;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-07-20
 */
public interface RepairOfflineRecordService extends IService<RepairOfflineRecord> {
    int insertRepairOfflineRecord(RepairOfflineRecord rns);

    int updateRepairOfflineRecord(RepairOfflineRecord rns);

    PageUtils<RepairOfflineRecord> queryPageRepairOfflineRecords(int currentPage, int pageCount, String name);

    int deleteRepairOfflineRecordById(int id);

    RepairOfflineRecord getRepairById(int id);

    List<RepairOfflineRecord> getRepairs();

    RepairOfflineRecord getRepairByRecordId(Integer recordId);

    OfflineDetailVo queryOfflineDetail(Integer recordId);
}
